[jp] Re: Building on RH8.0

Robert W March RWMarch at sympatico.ca
Wed Mar 26 22:15:03 EST 2003


Jason,

$ locate cc1
/usr/lib/gcc-lib/i386-redhat-linux/2.96/cc1chill
/usr/lib/gcc-lib/i386-redhat-linux/3.2/cc1
/usr/lib/gcc-lib/i386-redhat-linux/3.2/cc1plus
/usr/lib/gcc-lib/i386-redhat-linux/3.2/cc1obj
/usr/lib/gcc-lib/i386-redhat-linux7/2.96/cc1
/usr/lib/gcc-lib/i386-redhat-linux7/2.96/cc1plus
/usr/lib/gcc-lib/i386-redhat-linux7/2.96/cc1obj
/usr/lib/bcc/bcc-cc1

So, it appears that two versions are on the system and the Makefile is 
choosing the wrong one?

$ rpm -qa | grep gcc
compat-gcc-7.3-2.96.110
gcc-java-3.2-7
gcc-objc-3.2-7
compat-gcc-c++-7.3-2.96.110
gcc-chill-2.96-113
gcc-c++-3.2-7
compat-gcc-objc-7.3-2.96.110
libgcc-3.2-7
gcc-3.2-7
gcc-g77-3.2-7
compat-gcc-g77-7.3-2.96.110

-Robert

On March 26, 2003 11:41, Jason Day wrote:
> older version on the system for compatibility.  Try "locate cc1" to see
> how many versions are installed on your system.  If this is the only one
> installed, then that's a problem.
>
> > Any other info that I should provide?
>
> rpm -qa | grep gcc

-- 
                                  Robert March
                              St Andrew's House
                          L'Orignal  ON  K0B 1K0



More information about the Jpilot mailing list